import type * as earl from "@siteimprove/alfa-earl";
/**
 * {@link https://fetch.spec.whatwg.org/#body-mixin}
 *
 * @public
 */
export interface Body {
    /**
     * {@link https://fetch.spec.whatwg.org/#dom-body-body}
     */
    readonly body: ArrayBuffer;
}
/**
 * @public
 */
export declare namespace Body {
    interface EARL extends earl.EARL {
        "@context": {
            cnt: "http://www.w3.org/2011/content#";
        };
        "@type": ["cnt:Content", "cnt:ContentAsText"];
        "cnt:characterEncoding": "utf-8";
        "cnt:chars": string;
    }
    function isBody(value: unknown): value is Body;
}
//# sourceMappingURL=body.d.ts.map