import type { Equatable } from "@siteimprove/alfa-equatable";
import type { Serializable } from "@siteimprove/alfa-json";
import type * as json from "@siteimprove/alfa-json";
/**
 * @public
 */
export declare class Cookie implements Equatable, Serializable<Cookie.JSON> {
    static of(name: string, value: string): Cookie;
    private readonly _name;
    private readonly _value;
    protected constructor(name: string, value: string);
    get name(): string;
    get value(): string;
    equals(value: Cookie): boolean;
    equals(value: unknown): value is this;
    toJSON(): Cookie.JSON;
    toString(): string;
}
/**
 * @public
 */
export declare namespace Cookie {
    interface JSON {
        [key: string]: json.JSON;
        name: string;
        value: string;
    }
    function from(json: JSON): Cookie;
    function isCookie(value: unknown): value is Cookie;
}
//# sourceMappingURL=cookie.d.ts.map