import { Iterable } from "@siteimprove/alfa-iterable";
import type { Serializable } from "@siteimprove/alfa-json";
import { Map } from "@siteimprove/alfa-map";
import type { Option } from "@siteimprove/alfa-option";
import { Cookie } from "./cookie.js";
/**
 * @public
 */
export declare class Cookies implements Iterable<Cookie>, Serializable<Cookies.JSON> {
    /**
     * @remarks
     * If the iterable contains cookies with duplicate names, the last cookie with
     * a given name will take precedence.
     */
    static of(cookies: Iterable<Cookie>): Cookies;
    private static _empty;
    static empty(): Cookies;
    private readonly _cookies;
    protected constructor(cookies: Map<string, Cookie>);
    get(name: string): Option<Cookie>;
    has(name: string): boolean;
    add(cookie: Cookie): Cookies;
    delete(name: string): Cookies;
    [Symbol.iterator](): Iterator<Cookie>;
    toArray(): Array<Cookie>;
    toJSON(): Cookies.JSON;
    toString(): string;
}
/**
 * @public
 */
export declare namespace Cookies {
    interface JSON extends Array<Cookie.JSON> {
    }
    function from(json: JSON): Cookies;
    function isCookies(value: unknown): value is Cookies;
}
//# sourceMappingURL=cookies.d.ts.map