import type { Equatable } from "@siteimprove/alfa-equatable";
import type * as earl from "@siteimprove/alfa-earl";
import type * as json from "@siteimprove/alfa-json";
/**
 * @public
 */
export declare class Header implements Equatable, json.Serializable<Header.JSON>, earl.Serializable<Header.EARL> {
    static of(name: string, value: string): Header;
    private readonly _name;
    private readonly _value;
    protected constructor(name: string, value: string);
    get name(): string;
    get value(): string;
    equals(value: Header): boolean;
    equals(value: unknown): value is this;
    toJSON(options?: json.Serializable.Options): Header.JSON;
    toEARL(): Header.EARL;
    toString(): string;
}
/**
 * @public
 */
export declare namespace Header {
    interface JSON {
        [key: string]: json.JSON;
        name: string;
        value: string;
    }
    interface EARL extends earl.EARL {
        "@context": {
            http: "http://www.w3.org/2011/http#";
        };
        "@type": "http:MessageHeader";
        "http:fieldName": string;
        "http:fieldValue": string;
    }
    function from(json: JSON): Header;
    function isHeader(value: unknown): value is Header;
}
//# sourceMappingURL=header.d.ts.map