import { Iterable } from "@siteimprove/alfa-iterable";
import { Map } from "@siteimprove/alfa-map";
import type { Option } from "@siteimprove/alfa-option";
import type * as earl from "@siteimprove/alfa-earl";
import type * as json from "@siteimprove/alfa-json";
import { Header } from "./header.js";
/**
 * @public
 */
export declare class Headers implements Iterable<Header>, json.Serializable<Headers.JSON>, earl.Serializable<Headers.EARL> {
    /**
     * @remarks
     * If the iterable contains headers with duplicate names, the last header with
     * a given name will take precedence.
     */
    static of(headers: Iterable<Header>): Headers;
    private static _empty;
    static empty(): Headers;
    private readonly _headers;
    protected constructor(headers: Map<string, Header>);
    get(name: string): Option<Header>;
    has(name: string): boolean;
    add(header: Header): Headers;
    delete(name: string): Headers;
    [Symbol.iterator](): Iterator<Header>;
    toArray(): Array<Header>;
    toJSON(options?: json.Serializable.Options): Headers.JSON;
    toEARL(): Headers.EARL;
    toString(): string;
}
/**
 * @public
 */
export declare namespace Headers {
    interface JSON extends Array<Header.JSON> {
    }
    interface EARL extends earl.EARL {
        "@context": {
            http: "http://www.w3.org/2011/http#";
        };
        "@list": Array<Header.EARL>;
    }
    function from(json: JSON): Headers;
    function isHeaders(value: unknown): value is Headers;
}
//# sourceMappingURL=headers.d.ts.map